Bug 1870800 - [4.6] Managed Column not appearing on Pods Details page
Summary: [4.6] Managed Column not appearing on Pods Details page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.7.0
Assignee: Joe Caiani
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-20 18:43 UTC by Siva Reddy
Modified: 2021-02-24 15:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:16:08 UTC
Target Upstream Version:


Attachments (Terms of Use)
The Pod Details page (92.97 KB, image/png)
2020-08-20 18:48 UTC, Siva Reddy
no flags Details
The Managed Columns list (115.23 KB, image/png)
2020-08-20 18:49 UTC, Siva Reddy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6825 0 None closed Bug 1870800: Explain namespace missing namespace column in column management 2020-12-18 16:01:20 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:16:33 UTC

Description Siva Reddy 2020-08-20 18:43:49 UTC
Description of problem:
   The managed coloumn "namespace" is not getting added to the columns when it is added to the list in the Pod details page

Version-Release number of selected component (if applicable):
4.6.0-0.nightly-2020-08-18-165040

How reproducible:
Always

Steps to Reproduce:
1. Log in as a "Normal" user into the webconsole
2. Navigate to PageSideBar>Workloads>Pods
3. In the details pane, Select a project with pods
4. Note the Column Headings of the table and notice that the "namespace"
   column is missing
5. Click the manage columns icon next to the search box
6. Note that the "namespace" column is checked and is part of the default columns

Actual results:
  The "Namespace" column is missing

Expected results:
    The "namespace" column should be present or the column should not be listed in the options of the managed columns

Additional info:
   the column is not visible may be because a normal user cannot list namespaces as a cluster admin would do. So in that case when the normal user is logged in the "namespace" column option should not be present in the managed columns.

   attached screenshots of the page.

Comment 1 Siva Reddy 2020-08-20 18:48:52 UTC
Created attachment 1712063 [details]
The Pod Details page

Comment 2 Siva Reddy 2020-08-20 18:49:25 UTC
Created attachment 1712064 [details]
The Managed Columns list

Comment 6 Yanping Zhang 2020-10-12 04:50:35 UTC
Checked on 4.7 cluster with payload: 4.7.0-0.ci-2020-10-11-211311
Go to one project pods list page, there is no "Nampspace" column in table, click on "Manage Columns", there is a new alert:
Info alert:You can select up to 9 columns
The namespace column is only shown when in 'All Projects'

Comment 9 errata-xmlrpc 2021-02-24 15:16:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.